Main Page Widgets Namespaces Book

# Gtk::RadioMenuItem Class Reference
[Menu classes, Widgets]

Inheritance diagram for Gtk::RadioMenuItem:

[legend]

List of all members.

## Detailed Description

A CheckMenuItem that belongs to a group.

At each instant exactly one of the menu items from a group is selected.

## Public Types
typedef RadioButtonGroup | Group
## Public Member Functions
Group | get_group ()
const GtkRadioMenuItem* | gobj () const
| Provides access to the underlying C GtkObject.
GtkRadioMenuItem* | gobj ()
| Provides access to the underlying C GtkObject.
| RadioMenuItem (Group& groupx, const Glib::ustring& label, bool mnemonic=false)
| RadioMenuItem (Group& groupx)
void | reset_group ()
void | set_group (Group& group)
Glib::SignalProxy0<void> | signal_group_changed ()
| Emitted when the group of radio menu items that a radio menu item belongs to changes.
virtual | ~RadioMenuItem ()
## Protected Member Functions
void | constructor (const Group& group)
virtual void | on_group_changed ()
## Related Functions
(Note that these are not member functions.)
Gtk::RadioMenuItem* | wrap (GtkRadioMenuItem* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Member Typedef Documentation

typedef RadioButtonGroup Gtk::RadioMenuItem::Group

## Constructor & Destructor Documentation

virtual Gtk::RadioMenuItem::~RadioMenuItem | ( |  | ) | `[virtual]`

Gtk::RadioMenuItem::RadioMenuItem | ( | Group& | groupx | ) |

Gtk::RadioMenuItem::RadioMenuItem | ( | Group& | groupx,
|  | const Glib::ustring & | label,
|  | bool | mnemonic = `false` |
| ) |  |  |

## Member Function Documentation

void Gtk::RadioMenuItem::constructor | ( | const Group& | group | ) | `[protected]`

Group Gtk::RadioMenuItem::get_group | ( |  | ) |

const GtkRadioMenuItem* Gtk::RadioMenuItem::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::CheckMenuItem.

GtkRadioMenuItem* Gtk::RadioMenuItem::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::CheckMenuItem.

virtual void Gtk::RadioMenuItem::on_group_changed | ( |  | ) | `[protected, virtual]`

void Gtk::RadioMenuItem::reset_group | ( |  | ) |

void Gtk::RadioMenuItem::set_group | ( | Group& | group | ) |

Glib::SignalProxy0< void > Gtk::RadioMenuItem::signal_group_changed | ( |  | ) |

Emitted when the group of radio menu items that a radio menu item belongs to changes.

This is emitted when a radio menu item switches from being alone to being part of a group of 2 or more menu items, or vice-versa, and when a buttton is moved from one group of 2 or more menu items to a different one, but not when the composition of the group that a menu item belongs to changes.

Prototype:
  `void on_my_group_changed()`

## Friends And Related Function Documentation

Gtk::RadioMenuItem* wrap | ( | GtkRadioMenuItem * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- radiomenuitem.h